--- old/usr/src/uts/common/io/scsi/adapters/scsi_vhci/scsi_vhci.c	2015-08-19 07:25:13.948577092 -0400
+++ new/usr/src/uts/common/io/scsi/adapters/scsi_vhci/scsi_vhci.c	2015-08-19 07:25:13.954222110 -0400
@@ -2628,7 +2628,7 @@
 				if (rval == SCSI_SENSE_NOT_READY) {
 					max_retry = vhci_prout_not_ready_retry;
 					retry = nr_retry++;
-					delay(1*drv_usectohz(1000000));
+					delay(drv_sectohz(1));
 				} else {
 					/* chk for state change and update */
 					if (rval == SCSI_SENSE_STATE_CHANGED) {
@@ -5337,7 +5337,7 @@
 	    "%d cmds pending on path: 0x%p\n", svp->svp_cmds, (void *)pip));
 	while (svp->svp_cmds != 0) {
 		if (cv_reltimedwait(&svp->svp_cv, &svp->svp_mutex,
-		    drv_usectohz(vhci_path_quiesce_timeout * 1000000),
+		    drv_sectohz(vhci_path_quiesce_timeout),
 		    TR_CLOCK_TICK) == -1) {
 			/*
 			 * The timeout time reached without the condition
@@ -5371,7 +5371,7 @@
 				VHCI_DEBUG(1, (CE_NOTE, NULL,
 				    "!vhci_pathinfo_offline (pip:%p):"
 				    "reset failed, retrying\n", (void *)pip));
-				delay(1*drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				if (vhci_recovery_reset(svp->svp_svl,
 				    &svp->svp_psd->sd_address, TRUE,
 				    VHCI_DEPTH_TARGET) == 0) {
@@ -7511,7 +7511,7 @@
 		mutex_enter(&svp->svp_mutex);
 		while (svp->svp_cmds != 0) {
 			if (cv_reltimedwait(&svp->svp_cv, &svp->svp_mutex,
-			    drv_usectohz(vhci_path_quiesce_timeout * 1000000),
+			    drv_sectohz(vhci_path_quiesce_timeout),
 			    TR_CLOCK_TICK) == -1) {
 				mutex_exit(&svp->svp_mutex);
 				mdi_rele_path(pip);
@@ -8359,7 +8359,7 @@
 		VHCI_DEBUG(1, (CE_NOTE, NULL, "vhci_uscsi_send_sense: "
 		    "transport busy, setting timeout."));
 		vhci_restart_timeid = timeout(vhci_uscsi_restart_sense, rqpkt,
-		    (drv_usectohz(5 * 1000000)));
+		    drv_sectohz(5));
 		break;
 	default:
 		VHCI_DEBUG(1, (CE_NOTE, NULL, "vhci_uscsi_send_sense: "
